# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc属性值配置新增验证,2293,2293-074,sit,bs
主数据平台:运营后台管理系统属性值配置新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json
import uuid


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 进行属性值配置新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url68")
request_body = commonFuc().get_business_data(module, "payload68", uuid.uuid4())

"""
 场景: 属性值配置新增验证
 用例名称：属性值配置新增验证
 输出：{"success":true,"code":"200","message":"OK","data":1,"freshToken":null}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict68")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

